ru.bitel.bgbilling.kernel.event.events

## Class ContractWebLoginEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.event.LocalEvent
      - - ru.bitel.bgbilling.kernel.event.events.ContractWebLoginEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class ContractWebLoginEvent
      extends LocalEvent

  Событие успешного логина абонента в ЛК (как в старом, так и в новом).
  Дополнительные параметры извлекаются из `getParams()`.

       event.getParams().get('remoteAddr')

  remoteAddr - адрес абонента
  requestURI - запрошенный URL
  authenticationMode.mode - режим аутентификации (новый ЛК)
  authenticationMode.module - модуль аутентификации (новый ЛК)
  authenticationMode.moduleId - ID модуля аутентификации (новый ЛК)
  authenticationMode.role - customer или unauthCustomer, второе возможно, например, при аутентификации по IP-адресу (новый ЛК)
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ContractWebLoginEvent()`
    `` | `ContractWebLoginEvent(javax.servlet.http.HttpServletRequest request, int contactId)`
    `` | `ContractWebLoginEvent(int contactId, ParameterMap params)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ParameterMap` | `getParams()` Возвращает дополнительные параметры.
    `javax.servlet.http.HttpServletRequest` | `getRequest()` Данный метод вернет не null только для старого ЛК.
    `void` | `setParams(ParameterMap params)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractWebLoginEvent

          protected ContractWebLoginEvent()

    - #### ContractWebLoginEvent

          public ContractWebLoginEvent(javax.servlet.http.HttpServletRequest request,
                                       int contactId)

    - #### ContractWebLoginEvent

          public ContractWebLoginEvent(int contactId,
                                       ParameterMap params)

  - ### Method Detail

    - #### getRequest

          public javax.servlet.http.HttpServletRequest getRequest()

      Данный метод вернет не null только для старого ЛК. Рекомендуется использовать метод `getParams()`
      Returns:

    - #### getParams

          public ParameterMap getParams()

      Возвращает дополнительные параметры.
      remoteAddr - IP адрес абонента (строка)
      Returns:

    - #### setParams

          public void setParams(ParameterMap params)